You need to enable JavaScript to run this app.
导航

ingress-nginx

最近更新时间2023.11.02 15:10:35

首次发布时间2022.07.06 20:43:10

容器服务提供的 ingress-nginx 组件是 Ingress 控制器组件,使用 Nginx 作为反向代理和负载平衡器的 Ingress 控制器。本文主要介绍 ingress-nginx 组件的变更记录。

更多组件相关介绍和使用方法,请参见 组件管理

2023.04

版本号版本状态变更内容变更影响
v1.3.1-vke.5维护中默认开放 Prometheus 监控指标 Metrics,允许通过托管 Prometheus 监控 ingress-nginx 组件。更多说明,请参见 Ingress-nginx 监控

2023.02

版本号版本状态变更内容变更影响
v1.3.1-vke.4维护中修复弹性容器部署模式下日志采集问题。

2023.01

版本号版本状态变更内容变更影响
v1.3.1-vke.3维护中优化组件部署架构。

2022.12

版本号版本状态变更内容变更影响
v1.3.1-vke.2停止维护支持组件高可用部署。

2022.10

版本号版本状态变更内容变更影响

v1.3.1-vke.1

停止维护

  • 支持 Kubernetes v1.24 版本。
  • 增强组件安全性。

2022.06

版本号版本状态变更内容变更影响

v1.2.1-vke.2

维护中

  • 添加并默认开启 Ingress 对象深度检测功能,阻止包含敏感字段的 Ingress 的配置写入。

    该功能修复了 CVE-2021-25745 问题。

  • 支持配置 annotation-value-word-blocklist,阻止包含敏感字段的 Ingress annotations 配置写入。

    该功能修复了 CVE-2021-25746 问题。

  • 增加默认 IngressClass 对象,没有配置 IngressClass 的 Ingress 会被默认的 ingress nginx controller 处理。
  • 修复若干稳定性问题。
  • 升级前需检查存量 Ingress 配置是否存在敏感字段。

    升级后包含敏感字段的 Ingress 将不再生效(敏感字段包括但不限于load_modulelua_package_by_lualocationrootproxy_passserviceaccount{}'\")。

  • 建议在业务低峰期升级。变更过程中可能会导致已经建立的连接发生瞬断,变更完成后会自动恢复。

2022.02

版本号版本状态变更内容变更影响
v0.49.3-vke.1停止维护优化 Nginx 默认配置。建议在业务低峰期升级。变更过程中可能会导致已经建立的连接发生瞬断,变更完成后会自动恢复。

2022.01

版本号版本状态变更内容变更影响

v0.49.3

停止维护

  • 添加allow-snippet-annotations注解,缓解 CVE-2021-25742 漏洞。
  • 修复若干稳定性问题。

建议在业务低峰期升级。变更过程中可能会导致已经建立的连接发生瞬断,变更完成后会自动恢复。

2021.10

版本号版本状态变更内容变更影响
v0.44.0停止维护ingress-nginx 组件首次发布。